Package com.zfabrik.components.provider.util

## Class AbstractExtComponentRepository.Repo

- java.lang.Object
- - com.zfabrik.components.provider.util.AbstractExtComponentRepository.Repo

- All Implemented Interfaces:
    `AbstractExtComponentRepository.RepoMBean`
  Enclosing class:
    AbstractExtComponentRepository<FSCRC extends FSCRDBComponent,​DB extends FSComponentExtRepositoryDB<FSCRC>>

      public class AbstractExtComponentRepository.Repo
      extends java.lang.Object
      implements AbstractExtComponentRepository.RepoMBean

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Repo()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getImplementationRevision()` |
    `int` | `getNumberComponents()` |
    `int` | `getNumberSynchronizations()` |
    `int` | `getQueryCacheHits()` |
    `int` | `getQueryCacheQueries()` |
    `int` | `getQueryCacheSize()` |
    `long` | `getRepoRevision()` |
    `java.lang.String` | `getURL()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Repo

          public Repo()

  - ### Method Detail

    - #### getImplementationRevision

          public long getImplementationRevision()

      Specified by:
        `getImplementationRevision` in interface `AbstractExtComponentRepository.RepoMBean`

    - #### getNumberComponents

          public int getNumberComponents()

      Specified by:
        `getNumberComponents` in interface `AbstractExtComponentRepository.RepoMBean`

    - #### getNumberSynchronizations

          public int getNumberSynchronizations()

      Specified by:
        `getNumberSynchronizations` in interface `AbstractExtComponentRepository.RepoMBean`

    - #### getQueryCacheHits

          public int getQueryCacheHits()

      Specified by:
        `getQueryCacheHits` in interface `AbstractExtComponentRepository.RepoMBean`

    - #### getQueryCacheQueries

          public int getQueryCacheQueries()

      Specified by:
        `getQueryCacheQueries` in interface `AbstractExtComponentRepository.RepoMBean`

    - #### getQueryCacheSize

          public int getQueryCacheSize()

      Specified by:
        `getQueryCacheSize` in interface `AbstractExtComponentRepository.RepoMBean`

    - #### getRepoRevision

          public long getRepoRevision()

      Specified by:
        `getRepoRevision` in interface `AbstractExtComponentRepository.RepoMBean`

    - #### getURL

          public java.lang.String getURL()